/*
 * CPU depend functions
 *
 * Copyright (c) 2014 Yoshinori Sato <ysato@users.sourceforge.jp>
 *
 * SPDX-License-Identifier:	GPL-2.0+
 */

#include <common.h>

int cleanup_before_linux(void)
{
	return 0;
}

void	enable_caches(void)
{
}

void	flush_cache(unsigned long start, unsigned long stop)
{
}

void	flush_dcache_all(void)
{
}

void	flush_dcache_range(unsigned long start, unsigned long stop)
{
}

void	invalidate_dcache_range(unsigned long start, unsigned long stop)
{
}

void	invalidate_dcache_all(void)
{
}

void	invalidate_icache_all(void)
{
}
